UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
tnwg_rm_stat_grp_othergw_info_t_stct Struct Reference

Each UM Router (DRO) tracks a small amount of information about every other DRO in the network. This structure represents this DRO's view of a remote DRO's tnwg_rm_stat_grp_local_info_t. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC. More...

`#include <tnwgdmonmsgs.h>`

## Data Fields
uint64_t | gateway_id
| DRO identifier.
uint32_t | topology
| Topology signature.
uint32_t | last_activity_sec
| Approximate timestamp of last activity. Represents local wall clock time from the sending host's perspective. Value is "POSIX Time" (seconds since 1-Jan-1970), but in sending host's timezone.
uint32_t | last_activity_usec
| Count of microseconds to be added to "last_activity_sec" to increase the precision of the timestamp. However, the accuracy of the timestamp is not guaranteed to be at the microsecond level.
uint16_t | version
| This version number essentially represents the number of times the DRO has experienced a change in the number times a peer link has changed state. When the version number changes, other DROs assume that the topology has changed and re-run the routing logic.
uint16_t | num_neighbors
| Number of running portals. This number can change as peer links connect and disconnect.
char | gateway_name [TNWG_DSTAT_MAX_GATEWAY_NAME_LEN]
| Name of DRO.

## Detailed Description

Each UM Router (DRO) tracks a small amount of information about every other DRO in the network. This structure represents this DRO's view of a remote DRO's tnwg_rm_stat_grp_local_info_t. Used by tnwg_rm_stat_grp_msg_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- tnwgdmonmsgs.h